MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025414Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-22 17:272014-11-12 09:00
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025414: Visualization - Optimize ray-tracing performance
DescriptionAfter extending ray-tracing functionality performance decreased. It is desirable to add additional optimizations to improve performance.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0033578)
git (administrator)
2014-10-22 17:28

Branch CR25414 has been created by dbp.

SHA-1: aa708ae89d7d61e3228c8c893435fddbd777c0ae


Detailed log of new commits:

Author: dbp
Date: Wed Oct 22 17:28:29 2014 +0400

    0025414: Visualization - Optimize ray-tracing performance
(0033593)
git (administrator)
2014-10-22 19:14

Branch CR25414 has been updated by dbp.

SHA-1: 2488c007019bd94d15a249946671abd823055e60


Detailed log of new commits:

Author: dbp
Date: Wed Oct 22 19:14:14 2014 +0400

    Optimizing FSAA (+ 25%).

(0033621)
git (administrator)
2014-10-23 12:15

Branch CR25414 has been updated by dbp.

SHA-1: fd9f1178670c433c5e9367b788d7f7f130899319


Detailed log of new commits:

Author: dbp
Date: Thu Oct 23 12:14:53 2014 +0400

    Improve anti-aliasing quality.

(0033626)
git (administrator)
2014-10-23 12:33

Branch CR25414_1 has been created by dbp.

SHA-1: bc25b1260cd72d3b137c2fa34c44347665640c96


Detailed log of new commits:

Author: dbp
Date: Thu Oct 23 12:33:24 2014 +0400

    0025414: Visualization - Optimize ray-tracing performance
    
    This patch increases ray-tracing performance up to 12% in regular mode, and up to 36% in FSAA mode.
(0033627)
dbp (developer)
2014-10-23 12:36

Dear kgv,

please review the patch in branch CR25414_1.
(0033657)
git (administrator)
2014-10-23 18:14

Branch CR25414_2 has been created by dbp.

SHA-1: 45a34b5eea12f3b62053bab6b1d26c7eb51ed104


Detailed log of new commits:

Author: dbp
Date: Thu Oct 23 18:13:48 2014 +0400

    0025414: Visualization - Optimize ray-tracing performance
    
    This patch increases ray-tracing performance up to 12% in regular mode, and up to 36% in FSAA mode.
(0033658)
git (administrator)
2014-10-23 18:18

Branch CR25414_2 has been updated forcibly by dbp.

SHA-1: 4ac6cf7abca977a781ada4795f6dcc0a276b95d5
(0033723)
git (administrator)
2014-10-27 14:20

Branch CR25414_3 has been created by kgv.

SHA-1: e1716a6a0b35a397ec5c54a9dd15578f08b02dcf


Detailed log of new commits:

Author: dbp
Date: Thu Oct 23 18:18:24 2014 +0400

    0025414: Visualization - Optimize ray-tracing performance
    
    This patch increases ray-tracing performance up to 12% in regular mode, and up to 36% in FSAA mode.
(0033724)
kgv (developer)
2014-10-27 14:21

Please test patch in branch CR25414_3.
(0033785)
mkv (tester)
2014-10-28 18:03

Dear BugMaster,
Branch CR25414_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e1716a6a0b35a397ec5c54a9dd15578f08b02dcf

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 372139540 / 371808660
Total CPU difference: 46053.91999999994 / 48296.64000000005
products component :
Total MEMORY difference: 125274332 / 125260548
Total CPU difference: 16669.829999999976 / 16520.729999999992

Testing on Windows:
occt component :
Total MEMORY difference: 272753492 / 273080016
Total CPU difference: 49413.265625 / 37050.71875
products component :
Total MEMORY difference: 71211144 / 70377380
Total CPU difference: 13531.671875 / 12121.578125

There are no differences in images found by testdiff.
(0034259)
git (administrator)
2014-11-12 09:00

Branch CR25414 has been deleted by kgv.

SHA-1: fd9f1178670c433c5e9367b788d7f7f130899319
(0034260)
git (administrator)
2014-11-12 09:00

Branch CR25414_1 has been deleted by kgv.

SHA-1: bc25b1260cd72d3b137c2fa34c44347665640c96
(0034261)
git (administrator)
2014-11-12 09:00

Branch CR25414_2 has been deleted by kgv.

SHA-1: 4ac6cf7abca977a781ada4795f6dcc0a276b95d5
(0034262)
git (administrator)
2014-11-12 09:00

Branch CR25414_3 has been deleted by kgv.

SHA-1: e1716a6a0b35a397ec5c54a9dd15578f08b02dcf

- Related Changesets
occt: master 50d0e1ce
Timestamp: 2014-10-23 14:18:24
Author: dbp
Committer: bugmaster
Details ] Diff ]
0025414: Visualization - Optimize ray-tracing performance

This patch increases ray-tracing performance up to 12% in regular mode, and up to 36% in FSAA mode.
mod - src/OpenGl/OpenGl_SceneGeometry.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]
mod - src/Shaders/RaytraceBase.fs Diff ] File ]
mod - src/Shaders/RaytraceSmooth.fs Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-22 17:27 dbp New Issue
2014-10-22 17:27 dbp Assigned To => dbp
2014-10-22 17:28 git Note Added: 0033578
2014-10-22 19:14 git Note Added: 0033593
2014-10-23 12:15 git Note Added: 0033621
2014-10-23 12:33 git Note Added: 0033626
2014-10-23 12:36 dbp Note Added: 0033627
2014-10-23 12:36 dbp Assigned To dbp => kgv
2014-10-23 12:36 dbp Status new => resolved
2014-10-23 18:14 git Note Added: 0033657
2014-10-23 18:18 git Note Added: 0033658
2014-10-27 14:20 git Note Added: 0033723
2014-10-27 14:21 kgv Note Added: 0033724
2014-10-27 14:21 kgv Assigned To kgv => bugmaster
2014-10-27 14:21 kgv Status resolved => reviewed
2014-10-27 15:54 mkv Assigned To bugmaster => mkv
2014-10-28 18:03 mkv Note Added: 0033785
2014-10-28 18:03 mkv Test case number => Not needed
2014-10-28 18:03 mkv Assigned To mkv => bugmaster
2014-10-28 18:03 mkv Status reviewed => tested
2014-10-31 14:03 bugmaster Changeset attached => occt master 50d0e1ce
2014-10-31 14:03 bugmaster Status tested => verified
2014-10-31 14:03 bugmaster Resolution open => fixed
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 09:00 git Note Added: 0034259
2014-11-12 09:00 git Note Added: 0034260
2014-11-12 09:00 git Note Added: 0034261
2014-11-12 09:00 git Note Added: 0034262


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker